@echo off 
color b
SETLOCAL ENABLEDELAYEDEXPANSION
title AppaTropas DeviceOwner
echo.
echo ==============================================================================
echo = This script will install CloudLocker and grant Device Owner permissions on =
echo = Android 5.0+. No root required. You will NOT lose ANY data. Version: v382  =
echo =   WARNING: FACTORY RESET IS REQUIRED TO REMOVE CLOUDLOCKER DEVICE OWNER!   =
echo =            ###             CloudVeil (March 2023)            ###           =
echo ==============================================================================
echo.
echo Please sign out of all Google accounts on the device if the device is running Lollipop or later before continuing.
echo.
pause
if not exist bin (
	echo Unable to locate the bin directory! Did you extract all the files from the archive and are you running from that directory?
	)

echo Please connect the Android device with USB Debugging enabled:
echo.
bin\adb kill-server
bin\adb start-server
bin\adb wait-for-device
echo.
echo Installing CloudLocker 
bin\adb install -r bin\app-cloudveilRelease_390.apk
echo.

bin\adb shell getprop ro.build.version.sdk > bin\sdkver.txt
set /p sdkver=<bin\sdkver.txt
echo.
if %sdkver% leq 19 (
	set sdkver=
	echo Device Owner is not compatible with this version of Android - it only works on 5.0 or higher.
	echo Operation complete
	) else (
	echo Granting CloudLocker Device Owner permissions
	bin\adb shell dpm set-device-owner org.cloudveil.locker/net.mobifilter.mobilocker.admin.MLDeviceAdminReceiver
	echo Operation complete
	)
del bin\sdkver.txt /s /q
bin\adb kill-server
pause
exit